import greenfoot.*; 


public class ScrollWorld extends World 
{ 
     //private static final GreenfootImage bgImage = new GreenfootImage("space1.gif"); 
     private static final int scrollSpeed = 1; 
     
     private GreenfootImage scrollingImage; 
     private int scrollPosition = 0; 
     //GreenfootSound backgroundMusic = new GreenfootSound("bossMusic.mp3");
     public ScrollWorld() 
     { 
         super(1100, 350, 1); 
         scrollingImage = new GreenfootImage(getBackground());
         
         
         addObject (new boss_1(), 850, 170);
         addObject (new SpaceShip(), 350, 200);
         addObject (new bossText(), 550, 175);
     } 

     public void act() 
     { 
         if(scrollPosition < 0) { 
             scrollPosition = getWidth(); 
         }
         scrollPosition -= scrollSpeed; 
         paint(scrollPosition); 
         
         //backgroundMusic.playLoop();
     }
     
     /** 
      * Paint scrolling image at given position and make sure the rest of 
      * the background is also painted with the same image. 
      */ 
     private void paint(int position) 
     { 
         GreenfootImage bg = getBackground(); 
         bg.drawImage(scrollingImage, position, 0); 
         if(position > 0) { 
             bg.drawImage(scrollingImage, position - scrollingImage.getWidth(), 0); 
         } 
         else { 
             bg.drawImage(scrollingImage, position + scrollingImage.getWidth(), 0); 
         } 
     } 
}
